package com.supervision.controller;

import com.supervision.domain.IrRobotConfig;
import com.supervision.service.IrRobotConfigService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@RequestMapping("test")
@RequiredArgsConstructor
@Slf4j
public class TestController {

    private final IrRobotConfigService irRobotConfigService;



    @GetMapping("hello")
    public List<IrRobotConfig> hello() {
        return irRobotConfigService.list();
    }


}
