package com.supervision.util.freemark;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


@Configuration
public class FreemarkerConfiguration {
    @Bean("databaseFreemarkerConfiguration")
    public freemarker.template.Configuration databaseTemplateLoader(DatabaseTemplateLoader databaseTemplateLoader) {
        freemarker.template.Configuration configuration = new freemarker.template.Configuration(freemarker.template.Configuration.VERSION_2_3_30);
        configuration.setTemplateLoader(databaseTemplateLoader);
        return configuration;
    }
}
