package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问题模板参数
 * @TableName ir_sql_param
 */
@TableName(value ="ir_sql_param", schema = "interro_robot")
@Data
public class IrSqlParam implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 知识库ID
     */
    private Integer knowledgeId;

    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 参数类型
     */
    private String paramType;

    /**
     * 是否必填(1必填,2非必填)
     */
    private Integer paramRequire;

    /**
     * 参数注释
     */
    private String paramDesc;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}